{% extends 'base.html' %}

{% block title %}
    {{ recipe_object.title }} -
    Scrumptious Recipe
{% endblock title %}

{% block content %}
    <header>
        <nav>
            <a href="{% url 'recipe_list' %}">Main page</a>
        </nav>
    </header>
    <main>
        <h1>
        {{ recipe_object.title }}
        </h1>
        <img src="{{ recipe_object.picture }}"
        alt="An image of vegetarian tacos">
        <div>4.3 stars</div>

        <h2>Ingredients</h2>
        <table class="ingredients-table">
            <thead>
                <tr>
                  <th>Amount</th>
                  <th>Food Item</th>
                </tr>
            </thead>
            <tbody>
                {% for ingredient in recipe_object.ingredients.all %}
                    <tr>
                        <td>{{ ingredient.amount }}</td>
                        <td>{{ ingredient.food_item }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
        <h2>Steps</h2>
        <ol>
            {% for step in recipe_object.steps.all %}
                <li>{{ step.instruction }}</li>
            {% endfor %}
        </ol>
        <a class="food" href="{% url 'edit_recipe' recipe_object.id %}">Edit Recipe</a>
    </main>
{% endblock content %}
